Bug 615669 - Review Request: perl-Crypt-Cracklib - perl module to interact with libcrack
Summary: Review Request: perl-Crypt-Cracklib - perl module to interact with libcrack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-17 20:55 UTC by Carl Thompson
Modified: 2017-05-03 02:25 UTC (History)
3 users (show)

Fixed In Version: perl-Crypt-Cracklib-1.5-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-03 02:25:51 UTC
Type: ---
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Carl Thompson 2010-07-17 20:55:21 UTC
Spec URL: http://red-dragon.com/perl-Crypt-Cracklib.spec
SRPM URL: http://red-dragon.com/perl-Crypt-Cracklib-1.4-1.fc13.src.rpm
Description: This is a perl module to interact with system libcrack

Comment 1 Carl Thompson 2010-07-17 20:57:27 UTC
This is my first package and requesting sponsor per http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Guidelines

Comment 2 Carl Thompson 2010-07-17 21:40:41 UTC
Updated Spec after run of rpmlint to fix warnings.  New spec is uploaded to url listed.

Comment 3 Carl Thompson 2010-07-17 23:34:17 UTC
Updated spec so that spec and package pass rpmlint with no warnings or errors.

Comment 4 Carl Thompson 2010-07-18 00:41:12 UTC
Submitted both patches in package upstream to author:
https://rt.cpan.org/Public/Bug/Display.html?id=59488
https://rt.cpan.org/Public/Bug/Display.html?id=59489

Comment 5 Carl Thompson 2010-07-21 02:01:51 UTC
Updated to Crypt-Cracklib 1.5
Spec URL: http://red-dragon.com/perl-Crypt-Cracklib.spec
SRPM URL: http://red-dragon.com/perl-Crypt-Cracklib-1.5.1.fc13.src.rpm

Both upstream patches were applied by author is reason for 1.5 release

passed rpmlint no errors

koji builds on F13 and rawhide passed

Comment 6 Carl Thompson 2010-07-21 18:41:22 UTC
reviewed https://bugzilla.redhat.com/show_bug.cgi?id=615577

Comment 7 Carl Thompson 2010-07-22 22:42:15 UTC
Another package I've submitted is https://bugzilla.redhat.com/show_bug.cgi?id=617400

Comment 8 Kevin Fenzi 2010-07-24 19:37:25 UTC
I'll go ahead and review this and your other submission and look at sponsoring you. ;) 

Look for a full review in a while here...

Comment 9 Kevin Fenzi 2010-07-24 20:02:11 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPL+ or artistic)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
e5fe8cd8894b2d66767e48f51779d778  Crypt-Cracklib-1.5.tar.gz
e5fe8cd8894b2d66767e48f51779d778  Crypt-Cracklib-1.5.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
See below - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
See below - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
See below - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
See below - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. You are disabling the internal dependency generator here, but not doing any
manual dependency generation. Why? I see no problems removing that line here. 

2. The: 
if [ ! "$RPM_BUILD_ROOT" = "/" ]
then

in install and clean sections should be removed. There are no longer required 
or wanted. ;) 

3. There seems to be a test suite here. Perhaps run it in %check?
See https://fedoraproject.org/wiki/Packaging/Perl#Testing_and_Test_Suites

4. You should include Changes and README as %doc files. Also, you may want 
to ask upstream to include a copy of the license. 

5. You need to own the %{perl_archlib}/Crypt/ directory here. 
Either change %{perl_archlib}/Crypt/Cracklib.pm to just %{perl_archlib}/Crypt/
or add a %dir%{perl_archlib}/Crypt to files. Likewise for the auto/Crypt dir.

6. rpmlint says: 

3 packages and 0 specfiles checked; 0 errors, 0 warnings.

7. Did you take an existing spec to create this one? If so, please do leave the 
old spec changelog entries to credit the orig author(s).

Comment 10 Carl Thompson 2010-07-26 21:01:46 UTC
New spec and build tested on koji dist-f13 and dist-rawhide

Comment 11 Kevin Fenzi 2010-07-28 03:37:53 UTC
Please do add a changelog entry and bump Release while making changes for the review. 
This prevents confusion between submitter and reviewer as to what they are looking at. ;) 

Can you add pointers to the current spec/src.rpm?

Comment 12 Carl Thompson 2010-07-28 04:15:04 UTC
SPEC: http://red-dragon.com/perl-Crypt-Cracklib.spec
SRPM: http://red-dragon.com/perl-Crypt-Cracklib-1.5-2.fc13.src.rpm

1) re enabled the internal dependancy generator

2) removed the $RPM_BUILD_ROOT test from install and clean

3) added %check section with make test

4) included the Changes and README as %doc files

5) Many perl packages sit in Crypt so can't properly own to this package

6) rpmlint says
[redragon@gkar SPECS]$ rpmlint perl-Crypt-Cracklib.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[redragon@gkar x86_64]$ rpmlint perl-Crypt-Cracklib-1.5-2.fc13.x86_64.rpm 
perl-Crypt-Cracklib.x86_64: W: private-shared-object-provides /usr/lib64/perl5/auto/Crypt/Cracklib/Cracklib.so Cracklib.so()(64bit)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

7) this is a new spec just for this package

koji build on rawhide passed no failures
koji build on f13 passed no failures

Comment 13 Kevin Fenzi 2010-07-28 04:50:38 UTC
1, 2, 3, all look good. 

on 4: 

You can replace: 

%doc %{_defaultdocdir}/perl-Crypt-Cracklib-%{version}/Changes
%doc %{_defaultdocdir}/perl-Crypt-Cracklib-%{version}/README

with just: 

%doc Changes README

5. I think this falls under: 

https://fedoraproject.org/wiki/Packaging/Guidelines#Multiple_packages_own_files_in_a_common_directory_but_none_of_them_needs_to_require_the_others. 

I see currently all of the following own this dir: 

perl-Crypt-OpenSSL-PKCS10-0:0.06-15.fc14.x86_64
perl-Crypt-OpenSSL-Random-0:0.04-12.fc14.x86_64
perl-Crypt-DES-0:2.05-11.fc14.x86_64
perl-Crypt-OpenSSL-X509-0:0.7-7.fc14.x86_64
perl-Crypt-Eksblowfish-0:0.008-2.fc14.x86_64
perl-Crypt-Twofish-0:2.14-2.fc14.x86_64
perl-Crypt-OpenSSL-RSA-0:0.25-12.fc14.x86_64
perl-Crypt-SSLeay-0:0.57-17.fc14.x86_64
perl-Crypt-OpenSSL-AES-0:0.02-11.fc14.x86_64
perl-Crypt-Rijndael-0:1.09-2.fc14.x86_64
perl-Crypt-Blowfish-0:2.10-10.fc14.x86_64
crypto-utils-0:2.4.1-27.x86_64
perl-Crypt-OpenSSL-Bignum-0:0.04-10.fc14.x86_64
perl-Crypt-OpenSSL-DSA-0:0.13-16.fc14.x86_64
perl-Crypt-SMIME-0:0.09-4.fc14.x86_64

6 and 7: ok. 

I see you have a 

Epoch: 1

here. Why?

Comment 14 Carl Thompson 2010-07-28 05:09:30 UTC
SPEC: http://red-dragon.com/perl-Crypt-Cracklib.spec
SRPM: http://red-dragon.com/perl-Crypt-Cracklib-1.5-3.fc13.src.rpm

4) updated %doc in files section

5) added the Crypt directory (amazingly this corrected the .so error)

Epoch was removed, no idea why I plugged that one in.

Comment 15 Kevin Fenzi 2010-07-28 17:12:44 UTC
4. Looks good. 
5. Looks good. 

I don't see any further blockers here, so this package is APPROVED. 

Let me know your fedora account system login and I will sponsor you. 

Please feel free to ping me on irc, email or this bug and I will be happy to help answer any questions you have.

Comment 16 Carl Thompson 2010-07-28 19:25:04 UTC
New Package CVS Request
=======================
Package Name: perl-Crypt-Cracklib
Short Description: perl module to interact with libcrack
Owners: redragon
Branches: F-13
InitialCC: redragon

Comment 17 Kevin Fenzi 2010-07-30 20:29:32 UTC
GIT done (by process-cvs-requests.py).

With f14 branch added.

Comment 18 Fedora Update System 2010-07-31 00:59:28 UTC
perl-Crypt-Cracklib-1.5-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Crypt-Cracklib-1.5-3.fc13

Comment 19 Fedora Update System 2010-07-31 00:59:33 UTC
perl-Crypt-Cracklib-1.5-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-Crypt-Cracklib-1.5-3.fc14

Comment 20 Fedora Update System 2010-08-01 19:22:52 UTC
perl-Crypt-Cracklib-1.5-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-Cracklib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-Cracklib-1.5-3.fc14

Comment 21 Fedora Update System 2010-08-03 01:00:25 UTC
perl-Crypt-Cracklib-1.5-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-Cracklib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-Cracklib-1.5-3.fc13

Comment 22 Fedora Update System 2010-08-13 21:12:57 UTC
perl-Crypt-Cracklib-1.5-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-08-19 01:08:44 UTC
perl-Crypt-Cracklib-1.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Carl Thompson 2011-02-07 02:17:52 UTC
Package Change Request
======================
Package Name: perl-Crypt-Cracklib
New Branches: EPEL5 EPEL6
Owners: redragon
InitialCC: redragon

Comment 25 Kevin Fenzi 2011-02-07 02:39:02 UTC
Git done (by process-git-requests).

Comment 26 Fedora Update System 2011-02-07 04:17:59 UTC
perl-Crypt-Cracklib-1.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Crypt-Cracklib-1.7-1.fc13

Comment 27 Fedora Update System 2011-02-07 04:20:45 UTC
perl-Crypt-Cracklib-1.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Crypt-Cracklib-1.7-1.fc14

Comment 28 Paul Howarth 2017-04-10 07:27:24 UTC
Hi, I requested an EPEL-7 branch for this package as it's an optional dependency of the proftpd test suite. I don't know if you're interested in EPEL at all, so I'm happy to maintain the EPEL-7 branch myself if you're not interested. I'm also happy to co-maintain the package if you like.

Cheers, Paul.

Comment 29 Fedora Update System 2017-04-17 13:48:28 UTC
perl-Crypt-Cracklib-1.7-19.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-56b4c757c7

Comment 30 Fedora Update System 2017-04-18 01:17:20 UTC
perl-Crypt-Cracklib-1.7-19.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-56b4c757c7

Comment 31 Fedora Update System 2017-05-03 02:25:51 UTC
perl-Crypt-Cracklib-1.7-19.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.